<?php
/**
 * @link      http://www.u-bo.com
 * @copyright 南京友博网络科技有限公司 
 * @license   http://www.u-bo.com/license/
 */

namespace qcbase\controllers;

use Yii;
use home\modules\task\models\Task;

/**
 * 任务状态
 * 
 * @author legendjw http://blog.u-bo.com
 * @since 0.1
 */
class TaskStatusController extends Controller
{
	public function actions() 
	{
		$actions = parent::actions();
		$actions['index']['order'] = ['sort' => SORT_DESC];
		return $actions;
	}

    public function actionRepairAll()
    {
        if (Task::repairAllTree()) {
            echo 'success';
        }
    }
}
